import type { Metadata } from "next";
import "@/styles/globals.scss";
import Navbar from "../components/Navbar";
import Footer from "../components/Footer";

export const metadata: Metadata = {
  title: "Humanity Aid",
  description: "Bridging Support, Restoring Hope",
};

interface RootLayoutProps {
  children: React.ReactNode;
  sidebar?: React.ReactNode;
}

export default function RootLayout({ children, sidebar }: RootLayoutProps) {
  return (
    <html lang="en">
      <body>
        <Navbar />
        {sidebar && sidebar}
        {children}
        <Footer />
      </body>
    </html>
  );
}
